<?php

$date = date("YmdHis");
$name = "kitbooth_core_v".$core->version()."_".$date;

$core->message->set(
	$kitbooth->folder->copy(["core","kits/kb_standard"], "backup/$name/"),
	"Copy folders to backup"
);

$core->message->set(
	$kitbooth->file->copy(".htaccess", "backup/$name/"),
	"Copy files to backup"
);

$core->message->set(
	$kitbooth->file->write(
		"backup/$name/kitbooth.sql",
		$core->db->dump()
	),
	"mysql dump"
);

$backup->folder->zip($name);
$backup->folder->delete($name);
$core->refresh(["do"=>""]);

