<?php

$date = date("YmdHis");
$name = "kitbooth_full_v".$core->version()."_".$date;

$core->message->set(
	$kitbooth->folder->copy(["core","kits","frontend"], "backup/$name/"),
	"Copy folders to backup"
);

$core->message->set(
	$kitbooth->file->copy(
		[
			".htaccess",
			"config.txt",
			"config.json",
			"licence.txt",
		],
		"backup/$name/"
	),
	"Copy files to backup"
);

$core->message->set(
	$kitbooth->file->write(
		"backup/$name/kitbooth.sql",
		$core->db->dump()
	),
	"mysql dump"
);

$backup->folder->zip($name);
$backup->folder->delete($name);
$core->refresh(["do"=>""]);
