<?php

$form = $core->form();

$elements_all = array(
	"core" => "core",
	"kits" => "kits",
	"frontend" => "frontend",
	"templates" => "&nbsp;&nbsp;&nbsp;&nbsp;templates",
	"files" => "&nbsp;&nbsp;&nbsp;&nbsp;files",
	"content" => "&nbsp;&nbsp;&nbsp;&nbsp;content"

);

$form->config("checkbox_separator","<br>");

$form->new_element("elements", array(
	"label" => "",
	"type" => "checkbox",
	"value" => array(
		$core->config("backup_parts"),
		$elements_all
	),
));

$form->new_element("submit", array(
	"type"	=> "submit",
	"value"	=> "speichern",
	"class"	=> "green button",
));

if ($form->check()) {
	$core->config("backup_parts",$form->value("elements"));
	$core->refresh(["do"=>""]);
}

echo $core->template->kit->panel(
	"Backup",
	$form->render(array("elements")),
	array(
		$form->field("submit"),
		$core->html->tag("a", "Close", array("class"=>"button", "href"=>$core->generate_url(array("do"=>""))))
	),
	array(
		"wrap_form" => $form
	)
);
