<?php

$form = $core->form();

$form->new_elements(array(

	"title" => array(
		"type" => "select",
		"label" => "Table Labels",
		"markup" => array(
			"style" => "width:100%"
		),
		"values" => array(
			"on" => "with column labels",
			"off" => "without column labels",
		),
		"translate" => true,
	),

	"columns" => array(
		"type" => "select",
		"label" => "Data range",
		"markup" => array(
			"style" => "width:100%"
		),
		"values" => array(
			"all" => "all columns",
			// "visible" => "current visible columns",
		),
		"translate" => true,
	),

	"search" => array(
		"type" => "select",
		"label" => "Search",
		"values" => array(
			"off" => "Use all data",
			// "on" => "Use only search results",
		),
		"translate" => true,
	),

	"submit" => array(
		"type" => "submit",
		"value" => "Start",
		"markup" => array(
			"class" => "green",
		),
	)
));

if ($form->check()) {

	$csv_titles = "";
	$csv_o = $core->view->csv();
	$data = $object->read(false, array("ignore_foreign"=>true));

	/*
	if ($data->group() && is_object($data->group) && !$group_config_name) {
		$groups = $data->group->read_names();
		$csv_o->new_element("group",array(
			"value"	=> array('$group_ID',$groups),
			"title" => "Gruppe",
		));
	}
	*/

	if (are_equal($form->value("columns"), "visible")) {

		/*
		$elements = remove_keys_of("tools",$table->element);

		foreach ($elements as $key => $value) {
			$csv_o->new_element($key);
		}
		*/


	}

	if (are_equal($form->value("search"), "on"))
		$data = array_find($core->get($search),$data,".*",".*","i");

	$csv = $csv_o->render($data);
	// $csv = $table->render_csv($data);

	if (are_equal($form->value("title"), "on")) {

		$csv_titles = $csv_o->render(
			array(array_keys(current($data)))
		);

	}

	$csv = $csv_titles.$csv;

	$csv = html_entity_decode($csv);
	// $csv = iconv('UTF-8', 'iso-8859-1//TRANSLIT', $csv);
	$csv = mb_convert_encoding($csv, 'Windows-1252', 'UTF-8');

	$filename = $object->db_table()."_export-".date("Y-m-d_H-i-s").".csv";
	$core->file->write($filename, $csv);
	$core->file->download($filename);
	$core->file->delete($filename);
	// $core->refresh(array("do"=>""));

}

echo $core->template->kit->panel(
	"Options",
	$form->render(false),
	array(
		$form->field("submit"),
		$core->template->kit->button("Close", array(
			"class" => "cancel button",
			"href" => $core->url(array("do"=>""))
		))
	),
	array(
		"wrap_form" => $form,
		"footer" => array("class"=>"flex fill"),
	)
);

