<?php

$core->filesystem->dir($core->path("frontend").$core->get("folder"));

$form = $core->form();

$form->new_fields([
	"file" => [
		"type" => "file",
		"label" => "",
		"save" => true,
	],
	"submit" => [
		"type" => "submit"
	]
]);

if ($form->submit()) {

	$core->refresh(["do"=>""]);

}

echo $core->template->kit->panel(
	"Upload",
	$form->render(false),
	[
		$form->field("submit"),
		$core->template->kit->button("Cancel", ["href"=>$core->url(["do"=>""])])
	],
	[
		"wrap_form" => $form,
		"footer" => ["class"=>"fill flex"]
	]
);