<?php

$entry = $data->entry($core->get("ID"));

$form = $core->form();

$form->new_element("password", [
  "type" => "password",
  "label" => "Password",
  "essential" => true,
]);

$form->new_element("submit", [
  "type"=>"submit",
  "value"=>"Speichern",
  "markup"	=> 'class="green"',
]);

if ($form->submit()){

  $update = [
    "ID" => $core->get("ID"),
    "password" => $form->value("password"),
  ];

  $core->message->set($data->update($update),"Update Password");
  $core->message->info("Das Passwort wurde geändert","Das Passwort konnte nicht geändert werden");
  $core->refresh(["do"=>""]);

}


echo $core->template->kit->panel(
	"New Password",
	[
		$core->html->article($core->html->h2($entry["name"])),
		$form->render(false)
	],
	[
		$form->field("submit"),
		$core->html->a("Close",["class" => "red cancel button", "href" => $core->url(["do" => ""])])
	],
	[
		"wrap_form" => $form
	]
);
