<?php
$form = $core->form();

$form->new_element("server",array(
	"label"=>"Server",
	"value"=>"localhost",
	"essential"=>true,

));

$form->new_element("database",array(
	"label"=>"Datenbankname",
	"essential"=>true,
));

$form->new_element("user",array(
	"label"=>"Benutzername",
	"essential"=>true,
));

$form->new_element("password",array(
	"label"=>"Passwort",
	"type"=>"password",
	"essential"=>true,
));

$form->new_element("prefix",array(
	"label"=>"Prefix für Tabellennamen (optional)"
));

$form->new_element("submit",array(
	"type"=>"submit",
	"value"=>"speichern",

));

if ($form->submit()){
	$config = $core->core_config();
	$config["db"]["server"] = $form->value("server");
	$config["db"]["database"] = $form->value("database");
	$config["db"]["user"] = $form->value("user");
	$config["db"]["password"] = $form->value("password");
	$config["db"]["prefix"] = $form->value("prefix");
	$config = $core->json->encode($config);
	$core->filesystem->dir($core->path("kitbooth"));
	$core->file->write("config.json",$config);
	$core->refresh();
}

echo $core->template->kit->panel(
	"Database Setup",
	$form->render_form(false),
	$form->field("submit",false),
	array("wrap_form"=>true)
);