<?php

$form = $core->form();

$form->new_element("file",array(
	"type"	=> "file",
	"essential"	=> "true",
	"label"	=> "Backup File",
));

$form->new_element("submit",array(
	"type"	=> "submit",
	"value"	=> "Upload",
));

if ($form->submit()) {

	$filename = key_of("name", $form->file("file"));
	$file = key_of("tmp_name", $form->file("file"));
	$filename = url_encode($core->file->basename($filename)).".".$core->file->extension($filename);

	$kitbooth->folder->create("backup");
	$kitbooth->file->move($file, "backup/".$filename);
	$core->refresh(["do"=>"edit","file"=>$filename]);
}

echo $form->render_form();

