<?php

$loaded = function ($module) use($core) {
	$case = loaded($module, false);
	return $core->html->h2(
		$core->language->translate(ifttt($case,"yes","no")),
		[
			"class"=>ifttt($case,"green","red")
		]
	);
};

$cards = $core->view->cards();

$cards->add("text",["content"=>"Module Name","class"=>"grey"]);
$cards->add("title",["tag"=>"h2"]);
$cards->add("text2",["content"=>"Available","class"=>"grey"]);
$cards->add("loaded",["tag"=>"div"]);

echo $cards->render([
	[
		"title" => "Ghostscript",
		"loaded" => $loaded("ghostscript"),
	],
	[
		"title" => "FFmpeg",
		"loaded" => $loaded("ffmpeg"),
	],
	[
		"title" => "Imagick",
		"loaded" => $loaded("imagick"),
	],
]);