<?php

//Read all Kits

if ($core->user->is_dev()){

	$db_kits = $core->kit->data->read();

	$kits = $core->kit->read_local_kits();

	//Kit Cleanup on nonexistent entries
	$del = array();

	foreach($db_kits as $db_kit){
	  if(!array_key_exists($db_kit["folder"],$kits)) $del[] = array("ID"=>$db_kit["ID"]);
	}

	/*
	if(!empty($del)){
	  foreach($del as $entry)
	  	$core->kit->data->delete($entry);

		$db_kits = $kit_o->read();

	}
	*/

	// Find inactive Kits
	foreach($kits as $key => $value){

	  $not_found = true;

		foreach($db_kits as $k_db_kits => $v_db_kits){
	    if($key == $v_db_kits["folder"]){
	      $not_found = false;
	      if(isset($value["info_text"])) $db_kits[$k_db_kits]["info_text"] = $value["info_text"];
	      if(isset($value["info_file"])) $db_kits[$k_db_kits]["info_file"] = $value["info_file"];
	    }
	  }
	  if($not_found){
	    $array = array(
	      // "ID"			=> 'NULL',
	      "name"			=> $value["title"],
	      // "group_ID"	=> $value["title"],
	      "group_ID"	=> 0,
	    );
	    if(isset($value["folder"]))		$array["folder"] = $value["folder"];
	    if(isset($value["info_text"]))	$array["info_text"] = $value["info_text"];
	    if(isset($value["info_file"]))	$array["info_file"] = $value["info_file"];

	    $all_kits[] = $array;
	  }
	}

	$all_kits = isset($all_kits) ? array_merge($db_kits,$all_kits) : $db_kits;

}
else{
	$all_kits = $core->kit->data->read();
}

$table_groups = $core->array->merge(
	array(array("name"=>"Not installed","ID"=>"0","position"=>"0")),
	$core->kit->data->group->read()
);

$table_groups = $core->language->translate($table_groups);

$table = $core->view->table();

$table->config(array(
	"name" => $name,
	"description" => $description,
));

$table->config("sort", false);
$table->pagination =  false;

$table->new_elements(
	array(
		"name" => array(
			"title"		=>	"Name",
			"value"		=>	'name($ID,$name)',
			// "markup" => 'style="width: 50%"',
		),
		"description" => array(
			"title"	=>	"Description",
			"value"	=>	'description($info_text,$info_file,$folder)',
			// "markup" => 'style="width: 50%"',
		),
	)
);

if ($core->user->is_dev()){

	$table->new_columns(array(
		"active" => array(
			"title"		=>	"Installed",
			"value"		=>	'install($ID,$folder)',
			"markup" => 'style="0"',

			// "cell_markup" => 'class="flex fill left"',
		),
	));

	$table->new_row("folder",[
		"value"		=> 'toolbar($ID, $folder)',
		"class" => "hide",
	]);

	$table->config(array(
		"update" => $update,
		"install" => $install,
		"db" => $db,
		"fs" => $fs,
		"toolbar" => $local_toolbar,
	));

}

echo $table->render($all_kits,$table_groups);
