<?php

$cache = array();

$return_switch = function ($ID = "", $name = "", $yes = "", $no = "") use ($core, $data, &$cache) {

	$name = either($name, 0);

	$yes = $core->language->translate($yes);
	$no = $core->language->translate($no);

	$color = array("red", "green");

	$values = array($no,$yes);

  $bool = true;

  if ($core->get("view") == "groups") {

		if (is_empty($cache)) {

	    $groups = $data->group->read();

			foreach ($groups as $group) {
				$group_order[$group["ID"]] = $group["backend"];
			}

			foreach ($groups as $group) {
				$cache[$group["ID"]] = key_of($group["parent_ID"], $group_order);
			}
		}

    if($cache[$ID] == "0") {
      $bool = false;
			$name = 0;
		}
  }

  if($bool)
		return $core->template->kit->button(["switch",["class"=>key_of($name,$color)]], key_of($name,$values),
			array(
				"href" => $core->generate_url(array("do"=>"switch","ID"=>$ID)),
				"class" => key_of($name,$color)." small button",
			)
		);

  else
    return $core->html->span(array('<span class="icon_placeholder"></span>',key_of($name,$values)), array(
			"class" => key_of($name,$color)." small button"
		));
};

$table->config("return_switch",$return_switch);

$return_password = function ($ID) use($core, $data) {

    return '<a class="small button" href="'.$core->generate_url(array("do"=>"password","ID"=>$ID)).'">Neues Passwort</a>';
};


$return_tools =	$table->config("return_tools");

$more_tools = function ($ID = "", $entry = []) use($core, $data, $return_tools, $return_password) {

	$buttons = (array) $return_tools($ID, $entry);

	$buttons[] = $return_password($ID);

	return $core->html->render($buttons);

};

$table->config("return_tools",$more_tools);




